Subject: Re: [manet] API for NHDP

From: James Nguyen <[email-masked]>
Date: Thu, 2 Feb 2012 09:14:59 -0500

Ulrich ,

I'm still digesting your thesis.  So far, it's great.  As of IETF's March
conference, I won't be able to make it this time.  I'm looking forward to
the next IETF event.

I'm working on NHDP-MIB development first.  SMF-MIB and OLSRv2-MIB are next
in line.  My implementation will be based SNMP4J or NET-SNMP framework.  I
think it would be nice if there is a common interface that allows
applications to interface with these protocols.  That way, we don't have to
maintain multiple codes of interfaces for every protocol.  Moreover, this
common interface should be language-independent.

James

On Tue, Jan 31, 2012 at 1:43 PM, Ulrich Herberg <[email-masked]> wrote:

> P.S. I meant RFC5444, not RFC5449 in my previous email.
>
> Ulrich
>
>
> On Tue, Jan 31, 2012 at 10:26 AM, Ulrich Herberg <[email-masked]>wrote:
>
>> James,
>>
>> actually, I am not a coauthor of NHDP, but of the NHDP-MIB document :-) I
>> am not aware of how many implementations exist. I have myself implemented
>> one in Java for my previous employer (Ecole Polytechnique), but it is not
>> open-source.
>> I know of a few corporate, closed-source implementations. As for
>> open-source, there is the one from NRL (which I have tested and which works
>> fine). There is also one from olsr.org, but I don't know the status of
>> the implementation (but I think the basic functionality works fine, it was
>> also tested during the interop event).
>>
>> Have a look at the proceedings of http://interop.thomasclausen.org
>> During these interop events, a number of different RFC5449 and NHDP
>> implementations have been tested. You can also find a description of the
>> tests at http://herberg.name/downloads/pubs/thesis.pdf
>>
>> Will you come to the Paris IETF? There is always a slot at the end of the
>> MANET WG session with updates about implementations. In my opinion, it
>> would be very interesting to hear about your NHDP and in particular your
>> NHDP-MIB implementation.
>>
>>
>> Regards
>> Ulrich
>>
>>
>> On Tue, Jan 31, 2012 at 10:09 AM, James Nguyen <
>> [email-masked]> wrote:
>>
>>> Ulrich,
>>>
>>> I can see you're the co-author of NHDP.  :)  Do you know how many NHDP
>>> implementations there are beside Naval Research Laboratory's NHDP that was
>>> written in C++?
>>>
>>> I'm planning to have the SNMP implementation open source.
>>>
>>> James
>>>
>>>
>>> On Tue, Jan 31, 2012 at 12:14 PM, Ulrich Herberg <[email-masked]>wrote:
>>>
>>>> James,
>>>>
>>>> as for the interface towards SNMP, you can use the MIB that is included
>>>> in
>>>> http://tools.ietf.org/html/draft-ietf-manet-nhdp-mib
>>>>
>>>> There are tools that create C++/Java/etc. code from a MIB. The back-end
>>>> itself (between the MIB code and NHDP) has to be implemented manually.
>>>>
>>>> We are very interested in MIB implementations and experiences with it,
>>>> so when you have completed the implementation, please notify us on the
>>>> MANET list. Is this implementation planned to be open source?
>>>>
>>>> Hope that helps
>>>> Ulrich
>>>>
>>>>
>>>> On Tue, Jan 31, 2012 at 6:02 AM, James Nguyen <
>>>> [email-masked]> wrote:
>>>>
>>>>> Hi,
>>>>>
>>>>> I'm working on implementing SNMP capabilities for NHDP.  I'm just
>>>>> wondering if there is an API that allows application to interface with NHDP.
>>>>>
>>>>> --
>>>>> James Nguyen
>>>>> Email: [email-masked]
>>>>>
>>>>> _______________________________________________
>>>>> manet mailing list
>>>>> [email-masked]
>>>>> https://www.ietf.org/mailman/listinfo/manet
>>>>>
>>>>>
>>>>
>>>
>>>
>>> --
>>> James Nguyen
>>> Email: [email-masked]
>>>
>>
>>
>

-- 
James Nguyen
Email: [email-masked]